<h1>{{ pokemon.name }}</h1>
<br />
<form [formGroup]="editPokemonForm" class="form" (ngSubmit)="onSubmit()">
  <div class="row">
    <div class="col col-sm-5" style="width: 30px">
      <div class="col">
        <div class="card" style="width: 18rem; margin-right: 0px;">
          <img class="card-img-top" src="{{ pokemon.pokemonImageURL }}" alt="Card image cap" />
          <div class="card-body">
            <div>
              <div class="input-group input-group-sm mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text" id="inputGroup-sizing-sm">Nature</span>
                </div>
                <input formControlName="nature" type="text" class="form-control" aria-label="email"
                  aria-describedby="inputGroup-sizing-sm" value="{{ pokemon.nature }}" placeholder="{{ pokemon.nature }}" required />
              </div>
              <div class="input-group input-group-sm mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text" id="inputGroup-sizing-sm">Ability</span>
                </div>
                <input formControlName="ability" type="text" class="form-control" aria-label="email"
                  aria-describedby="inputGroup-sizing-sm" value="{{ pokemon.ability }}" placeholder="{{ pokemon.ability }}" required />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col">
      <div class="row">
        <div class="col-md-0"
          style="height: 15rem; width: fit-content; text-align: center; margin-top: 20px; margin-right: 10px">
          <div style="writing-mode: tb-rl; transform: rotate(180deg)">
            <h2>Moveset</h2>
          </div>
        </div>
        <div class="col" style="width: fit-content; ">
          <div class="row">
            <div *ngFor="let move of moves" class="col">
              <div *ngIf="move" style="border:2px solid black; border-radius: 15px; height: 25rem;">
                <div class="row">
                  <div class="col" style="padding-top: 10px; padding: 20px;">
                    <type-image-selector [currentType]="move.type"></type-image-selector>
                  </div>
                  <br>
                  <div class="card-body">
                    <h5 class="card-title">{{move.name}}</h5>
                    <p class="card-text">
                      Accuracy:<strong> {{move.accuracy}} </strong>
                      <br>
                      Power:
                      <strong>{{move.damage}} </strong> Type:<strong> {{move.type}}</strong>
                    </p>
                    <a (click)="DeleteMove(move._id!, pokemon._id!)" type="button" class="btn btn-sm btn-outline-danger"
                      style="width: 100%; vertical-align: bottom; padding: 0%; bottom: 0;">Delete</a>
                  </div>
                </div>
              </div>
              <div style="vertical-align: middle; padding-top: 80px;" *ngIf="!move">
                <button class="btn btn-outline-primary mb-2 mr-2" (click)="openMoveLg()">Choose your move</button>
              </div>
            </div>
          </div>
          <br />
          <a routerLink="/trainer" class="btn btn-success" type="submit">Save</a>
        </div>
      </div>
      <br>
      <div class="row">
        <div class="col-md-0"
          style="height: 15rem; width: fit-content; text-align: center; margin-top: 20px; margin-right: 10px">
          <div style="writing-mode: tb-rl; transform: rotate(180deg)">
            <h2>Hold Item</h2>
          </div>
        </div>
        <div class="col">
          <div *ngIf="item" class="card mb-3" style="max-width: 540px;">
            <div class="row g-0">
              <div class="col-md-4">
                <img class="card-img-top" src="{{ item.imageURL }}" alt="Card image cap" height="auto" width="auto">
              </div>
              <div class="col-md-8">
                <div class="card-body">
                  <h5 class="card-title"> {{ item!.name }} </h5>
                  <p class="card-text">{{ item!.description }} 
                    <br>
                    <br>
                    <button class="btn btn-outline-primary mb-2 mr-2" (click)="openItemLg()">Choose other item </button>
                  </p>
                </div>
              </div>
            </div>
          </div>
          <div *ngIf="!item" class="card mb-3" style="max-width: 540px;">
            <div class="row g-0" style="height: 200px;">
              <div class="col-md-4" style="width: 100%; height: 100%; object-fit: contain;">
                <img style="width: 100%; height: 100%; object-fit: contain;" src="https://static.wikia.nocookie.net/pokemongo/images/a/a2/Rare_Candy.png/revision/latest/scale-to-width-down/100?cb=20170620212431" class="img-fluid rounded-start">
              </div>
              <div class="col-md-8">
                <div class="card-body">
                  <h5 class="card-title"> Item </h5>
                  <p class="card-text">Select a item from the list for your pokemon to hold in battle
                    <br>
                    <br><br>
                    <button class="btn btn-outline-primary mb-2 mr-2" (click)="openItemLg()">Choose your item</button>
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</form>